/*
Step 1 - Set directory

Instructions
------------ 
Users need to set the directory to where the JSCS tool folder is saved. E.g the commad below should say something like: 
global directory "C:\Users\wb461111\OneDrive - WBG\Work\Pakistan JD\JSCS Tool - V1\JSCS Tool"
 
Important: Do not modify the name of the JSCS Tool folder nor change its internal file structure.
*/

global directory "E:\OneDrive - WBG\Work\11 - Tools\JDMA tool\JSCS Tool - V1.1\JSCS Tool" //set directory within the inverted commas
**************************************************************
**************************************************************

**************************************************************
/*
Step 2 - WDI update

Instructions
------------ 
The JSCS tool draws on a global database built with WDI data. The database can be accessed in the folder "JSCS Tool\Ancialliary Data". To ensure that this data is up-to-date, users can optionally execute an automatic update by removing the aserisk before WDI_update and run an update as part of the tool. 
Please note: The tool draws directly from the World Bank's WDI data repository and requires internet accesss. The tool will not run, if users are connected through a VPN connection. Please disconnect a VPN connection before running the update. (For World Bank users: please disconnect your Cisco AnyConnect Secure Mobile Client to run this tool). This is not necessary, if you are not running the update as part of the tool.
*/

*WDI_update //remove asterisk if you would like the tool to check for an update of the data.
**************************************************************
**************************************************************

**************************************************************

/*
Step 3 - Year selection

Instructions
------------ 
Establish year selection, seperated by comma (i.e. to include the years 2006, 2010, 2014 and 2018 the command should read as: global years 2006, 2010, 2014, 2018). 
*/

global years 2000, 2010, 2019 //specify years before double slash, e.g write: 2006, 2010, 2014, 2018
**************************************************************
**************************************************************

**************************************************************
/*
Step 4 - Country selection

Instructions
------------ 
Establish a country list for target country, structural comparator countries, and aspirational comparator countries. 
Only one country is allowed under target country, while several may be specified under structural and aspirational countries. 
The country selection is based on ISO3 country codes which need to be secified within inverted commas. Multiple entries need to be separated by a comma (e.g. to include Colombia, Peru, and Brazil as structural comparator countries the command should read: global structural_comparators "COL", "PER", "BRA"). 
*/

global target_country "PAK" //specify target country before double-slash, e.g for Pakistan write: "PAK"
global structural_comparators "EGY", "BGD", "ETH", "IND" //specify structural comparator countries before double-slash, e.g for Nepal and Bangladesh write: "BGD", "NPL"
global aspirational_comparators  "MEX", "IDN", "TUR", "VNM" //specify aspirational comparator countries before double-slash, e.g for China, Poland and Turkey write: "CHN", "POL", "TUR"
**************************************************************
**************************************************************

**************************************************************

**************************************************************
**************************************************************

**************************************************************
/*
Step 5 - Define dataset for national accounts

Instructions
------------ 
*/

global na_data "WDI" //specify the dataset you would like to use to source sectoral value added and employemnt data from for your TARGET country. WDI (for World Development Indicators Data) is the default, alternatively you can chosoe the Economic Transformation Dataset from the University of Groningen by typing GRO. Data for structural and aspirational countries will always be sourced from WDI.

**************************************************************
**************************************************************

**************************************************************

/*
Step 5 - Run the Master file.

Instructions
------------ 
Once steps 1 to 4 have been completed, you can run the master file by pressing the keys "Ctrl" and "d" at the same time. If the program runs successfully, users will be given a series of follow-up option. 
*/
cd "$directory"
JSCS_prep

